##
# Bash aliases file
#
# Wilfredo Sanchez Jr. | tritan@mit.edu
##

##
# Aliases
##

alias         .='cwd'
alias        ..='cd ..'
alias      cd..='cd ..'
alias      cdwd='cd $(/bin/pwd)'
alias       cwd='echo $PWD'
alias         l='ls -lg'

##
# Functions
##

files     () { find ${1} -type f -print ; }
ff        () { find . -name ${1} -print ; }
ll        () { ls -lag "$@" | more ; }
word      () { fgrep -i "$*" /usr/dict/web2 ; }
wordcount () { cat "${1}" | tr -s ' 	.,;:?\!()[]"' '\012' | \
	       cat -n | tail -1 | awk '{print $1}' ; }

##
# Read user's aliases
##
if [ -r ${bash_initdir}/aliases.mine ]; then
  source ${bash_initdir}/aliases.mine
fi
